Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.configuration
Class EntitiesConfigurator

    java.lang.Object
      org.hibernate.envers.configuration.EntitiesConfigurator

    public class EntitiesConfigurator

extends Object

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`EntitiesConfigurator()`

Method Summary
`EntitiesConfigurations` | `configure(Configuration cfg, org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager, GlobalConfiguration globalCfg, AuditEntitiesConfiguration verEntCfg, AuditStrategy auditStrategy, org.dom4j.Document revisionInfoXmlMapping, org.dom4j.Element revisionInfoRelationMapping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntitiesConfigurator

    public EntitiesConfigurator()

Method Detail

### configure

    public EntitiesConfigurations configure(Configuration cfg,
                                            org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager,
                                            GlobalConfiguration globalCfg,
                                            AuditEntitiesConfiguration verEntCfg,
                                            AuditStrategy auditStrategy,
                                            org.dom4j.Document revisionInfoXmlMapping,
                                            org.dom4j.Element revisionInfoRelationMapping)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.